package com.realnet.testdata.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.testdata.Entity.Demoregistration;
import com.realnet.testdata.Services.DemoregistrationService ;












@RequestMapping(value = "/token/Demoregistration")
 @CrossOrigin("*") 
@RestController
public class tokenFree_DemoregistrationController {
	@Autowired
	private DemoregistrationService Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Demoregistration")
		  public Demoregistration Savedata(@RequestBody Demoregistration data) {
		Demoregistration save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Demoregistration/{id}")
	public  Demoregistration update(@RequestBody Demoregistration data,@PathVariable Integer id ) {
		Demoregistration update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Demoregistration/getall/page")
	public Page<Demoregistration> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Demoregistration> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Demoregistration")
	public List<Demoregistration> getdetails() {
		 List<Demoregistration> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Demoregistration")
	public List<Demoregistration> getallwioutsec() {
		 List<Demoregistration> get = Service.getdetails();		
		return get;
}
@GetMapping("/Demoregistration/{id}")
	public  Demoregistration  getdetailsbyId(@PathVariable Integer id ) {
		Demoregistration  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Demoregistration/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}













}